package com.liquidnet.service.consumer.base.receiver.goblin;

import com.liquidnet.service.base.constant.MQConst;
import com.liquidnet.service.consumer.base.receiver.AbstractSqlRedisReceiver;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class ConsumerGoblinCodeReceiver extends AbstractSqlRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return MQConst.GoblinQueue.GOBLIN_CODE_OPERA.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.GoblinQueue.GOBLIN_CODE_OPERA.getGroup();
    }
}
